Package org.codehaus.groovy.transform.stc

# Class StaticTypeCheckingSupport.BooleanArrayStaticTypesHelper

java.lang.Object
org.codehaus.groovy.transform.stc.StaticTypeCheckingSupport.BooleanArrayStaticTypesHelper

Enclosing class:
  StaticTypeCheckingSupport

public static class StaticTypeCheckingSupport.BooleanArrayStaticTypesHelper extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BooleanArrayStaticTypesHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `getAt(boolean[] array, int index)`
  `static Boolean`
  `getAt$$bridge(boolean[] array, int index)`
  Deprecated.
  `static void`
  `putAt(boolean[] array, int index, boolean value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BooleanArrayStaticTypesHelper

    public BooleanArrayStaticTypesHelper()

- ## Method Details

  - ### getAt

    public static boolean getAt(boolean[] array, int index)

  - ### getAt$$bridge

    @Deprecated(since="5.0.0") public static Boolean getAt$$bridge(boolean[] array, int index)
    Deprecated.

  - ### putAt

    public static void putAt(boolean[] array, int index, boolean value)